//-------------------------------------------------------------------------*
// 工 程 名: IRQ                                                           *
// 硬件连接:(1)MCU的IRQ引脚连接到拨码开关                                  *    
//          (2)MCU的PTD口的0脚接小灯1                                      *
//          (3)MCU的PTE口的0脚接小灯2                                      *
// 程序描述: 当按下IRQ引脚连接的按键时，小灯亮、暗交替变化                 *
// 目    的: 熟悉IRQ中断的使用                                             *
// 说    明: 无                                                            *
//---------------苏州大学飞思卡尔嵌入式系统实验室2010年--------------------*

//总头文件
#include "Includes.h"

//主函数
void main(void)
{
    //1 主程序使用的变量定义
    uint32 mRuncount=0;                            //运行计数器

    //1 关总中断
    DisableInterrupt();     //禁止总中断
    
    //2 芯片初始化
    MCUInit();
    
    //3 IRQ初始化
    IRQ_Init();
    
    //4 指示灯初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF); //运行指示灯初始化

    Light_Init(Light_IRQ_PORT,Light_IRQ,Light_OFF); //IRQ指示灯初始化
     
    //5 开总中断
    EnableInterrupt();      //开放总中断

    //6 主循环
    while (1)                      
    {                                 
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=40000) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run);//运行指示灯的亮、暗状态切换
        }
        //2 主循环执行的任务
    }
}

